import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintStream;
import java.security.CodeSource;
import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.json.JSONObject;

import se.rupy.http.Daemon;
import se.rupy.http.Deploy;

public class Log {
	PrintStream out;
	String host = "content";

	public Log(Daemon daemon) {
		try {
		    //JSONObject account = new JSONObject((String) daemon.send(null, "{\"type\": \"account\"}"));

			//if(account.has("host")) {
			//	host = account.getString("host");
			//}
		    
			Deploy.Archive archive = (Deploy.Archive) Thread.currentThread().getContextClassLoader();
			
			try {
				host = archive.host();
			}
			catch(Exception e) {
				host = "content";
			}
			
			out = new PrintStream(new FileOutputStream("app/" + host + "/chat.txt", true));
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public void message(Object o) {
		if(out == null) {
			if(o instanceof Throwable) {
				((Throwable) o).printStackTrace();
			} else {
				System.out.println(new SimpleDateFormat("yy/MM/dd HH:mm:ss")
				.format(Calendar.getInstance().getTime())
				+ " " + o);
			}
		} else {
			if(o instanceof Throwable) {
				((Throwable) o).printStackTrace(out);
			} else {
				out.println(new SimpleDateFormat("yy/MM/dd HH:mm:ss")
				.format(Calendar.getInstance().getTime())
				+ " " + o);
				out.flush();
			}
		}
	}
}